Subject: Re: dlopen source

From: David Gibson <[email-masked]>
Date: Fri, 27 Jul 2007 10:52:09 +1000

On Thu, Jul 26, 2007 at 04:59:28PM -0500, Linas Vepstas wrote:
> On Thu, Jul 26, 2007 at 12:47:57PM -0700, Siva Prasad wrote:
> > Hi,
> > 
> > Can some one point to where I can find the source code for dlopen()
> > function.
> 
> ? Should be in glibc, right? I don't remember f it requires binutils
> pieces or not.

Yes, it's in glibc.

> (Yes, glibc is a rats nest, so understanding how it works is a whole
> nuther thing.)

Quite so.  The dynamic linking code in particular is
highly... impenetrable :(

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson